This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 236843 - default soundcard not preserved across reboot
default soundcard not preserved across reboot
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-17 17:56 EDT by Jonathan Kamens
Modified: 2008-08-02 19:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 21:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
scsconfig.log as requested (51.96 KB, text/plain)
2007-05-03 08:34 EDT, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2007-04-17 17:56:17 EDT
(Please assign to new component if necessary; I just took a guess.)

Accorrding to system-config-soundcard, I have three audio devices on my computer
-- a USB device corresponding to my Logitech QuickCam PRO, a VIA
VT8233/A/8235/8237 AC97 Audio Controller, and a Conexant CX8801 TV tuner audio
channel.

Whenever I reboot, my default audio device for playback gets set to the Conexant
device.  This, despite the fact that I've set the default device to the VIA
device, and despite the fact that aplay -l says that the VIA device is the only
one capable of playback.

I'm pretty sure that the default device that I set with system-config-soundcard
should be preserved across a reboot, shouldn't it?
Comment 1 Thomas Canniot 2007-04-26 10:16:34 EDT
I have two sound cards :
 VIA Technologies, Inc. VT8233/A/8235/8237 AC97 Audio Controller (rev 60)
 Creative Labs SB Live! EMU10k1 (rev 0a)

I also encounter the bug of the default card not saved across reboot. But in my
case, the pcm devices of the default card is sometimes missed and i have to
reboot to get it load.

I also have the bug on FC6. (actually running both fc7T3 and fc6 will all the
available updates - i386)
Comment 2 Martin Stransky 2007-05-03 07:59:48 EDT
Please attach /root/scsconfig.log (it can be generated by
system-config-soundcard, in the "System" tab)
Comment 3 Jonathan Kamens 2007-05-03 08:34:26 EDT
Created attachment 154023 [details]
scsconfig.log as requested
Comment 4 Martin Stransky 2007-05-16 08:51:41 EDT
Yep, it's known bug. Should be slightly fixed in F7, there's a workaround in
system-config-soundcard when you rewrite all sound config files.
Comment 5 Martin Stransky 2007-05-16 08:52:49 EDT
btw. this feature is on the "System" tab and you should have plugged all your
audio devices.
Comment 6 Martin Stransky 2007-05-16 08:56:32 EDT
btw. try to modify your lines in /etc/modprobe.conf for any of your sound card:

alias snd-card-X snd-card-driver
options snd-card-driver index=X

where X is the card index and snd-card-driver is the sound card driver.

Comment 7 Jonathan Kamens 2007-05-16 22:34:08 EDT
I'm sorry, but I don't understand what you are asking me or telling me to do.
Comment 8 Martin Stransky 2007-05-17 05:21:59 EDT
If you'd like to fix your issue, attach all your soundcard to your box, run
system-config-soundcard and check if all your sound devices are detected properly.

If so, switch to "System" tab (in s-c-s) and choose "Rewrite sound config files"
(the last button on the page) and reboot your box.

Or you can do it by hand via. editing the /etc/modprobe.conf file. if it doesn't
help, post a note here.
Comment 9 Bug Zapper 2008-04-03 20:08:28 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 10 Bug Zapper 2008-05-06 21:30:26 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.